<template>
<div>
  <Head></Head>
  <div class="hello">
    <div class="title1">
      <a class="index" href="https://wiccdev.org/">首页 ></a>
      <div class="faucet">测试网水龙头</div>
    </div>
    <div class="content">
      <div class="content_title">填写以下申请表获取维基链测试网的测试币</div>
      <div class="content_sub">WICC测试网钱包地址:</div>
      <input type="text" placeholder="请输入钱包地址" v-model="inputHash" />
      <div class="content_button">申请币种及数量：</div>
      <div class="btn-change">
        <button
          class="btn active"
          style="margin-left:0;"
          @click="getValue($event)"
          value="WICC"
        >10 WICC</button>
        <button  class="btn" @click="getValue($event)" value="WUSD">10 WUSD</button>
        <button  class="btn" @click="getValue($event)" value="WGRT">10 WGRT</button>
      </div>
      <div class="success_info" v-if="isSuccess">
        <p>申请成功！稍后将收到代币。</p>
        <p >交易哈希：<a @click="txHashTo" class="tohash">{{Headformatter(hash)}}</a> <button  class="copy" data-clipboard-action="copy" :data-clipboard-text="hash"
                @click="copy('.copy')"
                >复制</button></p>
      </div>
      <button type="button" class="conform" @click="conform">立即申请</button>
      <div class="point">每个钱包地址每日最多可申请十次</div>
    </div>
  </div>
  <Foot></Foot>
</div>
</template>

<script>
import Clipboard from "clipboard";
import Foot from "../components/Foot";
import Head from "../components/Head";
export default {
  name: "HelloWorld",
  components: {
    Foot,
    Head
  },
  data() {
    return {
      isSuccess: false,
      inputHash: "",
      value: "WICC",
      hash:''
    };
  },
  created(){
    setTimeout(()=>{this.getDefalutWallet();},200);
    // this.getDefalutWallet();
  },
  methods: {
    //复制
    copy(name) {
      let clipboard = new Clipboard(name);
      clipboard.on("success", function(e) { 
        e.clearSelection();
      });
       this.$message({
          message: '复制成功！',
          type: 'success'
        });
    },
    txHashTo() {
      window.location.href='https://testnet.waykiscan.com/#/txhash/'+this.hash;
    },
    getDefalutWallet() {
      console.log(111)
      window.waykiBridge.walletPlugin(
        "getAddressInfo",
        {},
        res => {
          console.log(res)
          if(res.result.network==="testnet"){
            this.inputHash = res.result.address; 
          }
                  
        },
        err =>{

        }
      );
    },
    getValue(ev) {
      var b = ev.target.parentNode.children;
      for (let i = 0; i < b.length; i++) {
        for (let j = 0; j < b[i]["classList"].length; j++) {
          if (b[i]["classList"][j] === "active") {
            b[i].classList.remove("active");
            b[i].style.color='#323232';
          }
        }
      }
      ev.target.style.color='#ffffff';
      ev.target.classList.add("active");
      this.value = ev.target.value;
    },
    conform() {
      if(this.inputHash===''){
        this.$message.error('钱包地址不能为空');
      }else if(this.inputHash.trim()===''){
        this.$message.error('请输入正确的WICC测试网地址');
      }else{
        this.$http
        .post(`${this.$baasUrl}/transaction/getcoinsfromfaucet`, {
          coinSymbol: this.value,
          recviver: this.inputHash.trim()
        })
        .then(res => {
          if(res.code===0){
            this.hash = res.data.hash;
            this.isSuccess = true;
          }else if(res.code===40002){
            this.$message.error('接收地址超出每日限额');
          }else if(res.code===60001){
            this.$message.error('请输入正确的WICC测试网地址');
          }else{
            this.$message.error(res.msg);
          }
        });
      }
      
    },
      //处理hash
    Headformatter(value) {
      var len= value.length;
      var xx= value.substring(8,len-7);
      var values = value.replace(xx,"...");
      return values;
      },
  }
};
</script>
<style scoped>
.hello {
  width: 1062px;
  margin: 0 auto;
  position: relative;
  top: 156px;
}
.title1 {
  display: flex;
}
.index {
  height: 23px;
  font-size: 24px;
  font-family: PingFang SC;
  font-weight: 500;
  color: #3b3b3b;
  line-height: 23px;
}
.index:hover {
  text-decoration: underline;
}
.faucet {
  margin-left: 41px;
  height: 23px;
  font-size: 24px;
  font-family: PingFang SC;
  font-weight: 500;
  color: #3b3b3b;
  line-height: 23px;
}
.content {
  width: 500px;
  margin: 0 auto;
  padding-top: 136px;
  padding-bottom: 200px;
  display: flex;
  flex-direction: column;
}
.content_title {
  height: 25px;
  font-size: 26px;
  font-family: PingFang SC;
  font-weight: 500;
  color: #3b3b3b;
  line-height: 25px;
}
.content_sub {
  margin-top: 68px;
  height: 23px;
  font-size: 24px;
  font-family: FZLanTingHei-R-GBK;
  font-weight: 400;
  color: #797979;
  line-height: 23px;
}
input {
  margin-top: 33px;
  width: 500px;
  height: 63px;
  border: 2px solid #a0a0a0;
  border-radius: 4px;
  font-size: 20px;
  font-family: FZLanTingHei-R-GBK;
  font-weight: 400;
  color: #202020;
  padding-left: 15px;
}
.content_button {
  margin-top: 36px;
  height: 23px;
  font-size: 24px;
  font-family: FZLanTingHei-R-GBK;
  font-weight: 400;
  color: #797979;
  line-height: 23px;
}
.btn-change {
  margin-top: 18px;
}
.btn {
  width: 150px;
  height: 49px;
  background: #d9d9d9;
  border: 2px solid #a0a0a0;
  border-radius: 4px;
  font-size: 22px;
  font-family: FZLanTingHei-R-GBK;
  font-weight: 400;
  color: #323232;
  margin-left: 19px;
}
.active {
  background: #0676f4;
  color: #ffffff;
  border: 2px solid #006ae1;
}
.success_info {
  margin-top: 34px;
  display: flex;
  flex-direction: column;
}
p {
  font-size: 20px;
  font-family: FZLanTingHei-R-GBK;
  font-weight: 400;
  color: #797979;
  line-height: 20px;
}
.tohash{
  color: #797979;
  cursor: pointer;
  text-decoration:underline;
}
.copy{
  font-size: 20px;
  background: #006ae1;
  border: 1px solid #006ae1;
  color: #ffffff;
  margin-left: 20px;
}
.conform {
  margin-top: 18px;
  width: 500px;
  height: 74px;
  border: 2px solid #006ae1;
  background: #006ae1;
  border-radius: 4px;
  font-size: 24px;
  text-align: center;
  line-height: 74px;
  font-family: FZLanTingHei-R-GBK;
  font-weight: 400;
  color: #ffffff;
}
.conform:active {
  opacity:0.5;
}
.point {
  margin-top: 18px;
  width: 500px;
  text-align: center;
  font-size: 20px;
  font-family: FZLanTingHei-R-GBK;
  font-weight: 400;
  color: #797979;
}
</style>
